[CentOS] Re: perl 5.8.5-36.el4_5.2

Dag Wieers dag at centos.org
Fri Nov 23 14:24:41 UTC 2007

On Wed, 21 Nov 2007, Scott Silva wrote:

> on 11/21/2007 3:07 PM Tom spake the following:
> > Thanks for the heads up Johnny, I ended up manually removing as many cpan
> > modules 1 by 1 that I could find rpm's for and installing the appropriate
> > rpm's. There are still quite a few cpan modules that don't have rpm's but I
> > now have everything fixed :)
> You can also try cpan2rpm and make your own. Or look at dag.wieers.com or
> atrpms.net. As long as they are in the database, there is less chance of
> things getting corrupted.

The easiest probably is to ask on the RPMforge mailinglist
(suggest at lists.rpmforge.net) and we provide you with those packages in 24
hours. I have an automated system to create these SPEC files (so that they
work for EL2 upto EL5).

The only thing holding me back from providing _all_ CPAN packages is the
fact that we would end up having 11.000 additional RPM packages (we
already have about 2000).

I would bet Yum would choke on that easily.

So our approach is to offer those perl packages that are required by other
perl packages, that are requested by users or that are frequently updated
in CPAN. (I estimate that a large part is unmaintained anyway)

So just send the list of modules that you need, and we will create the RPM

--   dag wieers,  dag at centos.org,  http://dag.wieers.com/   --
[Any errors in spelling, tact or fact are transmission errors]

More information about the CentOS mailing list